Naar hoofdinhoud
components

Update an existing component.

PUT
/component/{componentId}
X-API-Keystringheaderverplicht
componentIdstringverplicht

The id of the component to perform the action on.

Body

application/json

Component object.

administration_idinteger

The ID of the administration this component belongs to.

amount_rentednumber

The number of items rented.

automatic_renewinteger

Whether this rental is renewed periodically. Returned as 1 (yes) or 0 (no).

automatic_renew_amountinteger

The number of period units (automatic_renew_per) of each renewal period.

automatic_renew_end_datestring

The date until which this rental is renewed.

automatic_renew_idinteger

The ID of the component created by the next renewal of this component.

automatic_renew_perstring

The period unit of the recurring renewal, either 'day', 'week', 'month' or 'year'.

automatic_renew_undeterminedinteger

Whether the recurring renewal continues indefinitely, without an end date. Returned as 1 (yes) or 0 (no).

client_custom_namestring

The custom name of the client when client_id is set to zero (0).

client_idintegerverplicht

The ID of the client (klant) this item is sold or rented to. Set to zero (0) to use client_custom_name instead.

coordinatesstring

The coordinates of the location of this component, formatted as 'latitude,longitude'.

created_atstring

The date and time this component was created.

deleted_atstring

The date and time this component was archived, or null when it is not archived.

descriptionstring

The note of this component.

end_datestring

The end date and time of the rental period. For a sale this equals the sale date.

entry_idinteger

The ID of the entry (planning) this component is linked to.

hours_stand_endstring

The hour meter reading of the rented item at the end of the rental. Returned as a numeric string, e.g. "12.50".

hours_stand_startstring

The hour meter reading of the rented item at the start of the rental. Returned as a numeric string, e.g. "12.50".

idintegerverplicht

The ID of this component.

identifierstring

The unique identifier (UUID) of this component, generated automatically when it is saved.

invoice_itemsobject[]

The invoice items generated from this component.

invoicedinteger

Whether this component is invoiced. Returned as 1 (yes) or 0 (no).

item_custom_namestring

The custom name of the item when item_id is set to zero (0).

item_idinteger

The ID of the material or vehicle that is sold or rented, depending on item_type. Set to zero (0) to use item_custom_name instead.

item_typestringverplicht

The type of the item that is sold or rented, either 'material' or 'vehicle'.

locationstring

The name of the location of this component.

order_idinteger

The ID of the order (project) this component belongs to.

pricelist_idinteger

The ID of the price list used for the rates of this component.

pricing_zone_idinteger

The ID of the rate zone of this component.

pricingsobject[]

The rate lines of this component, which are turned into its invoice items.

processedinteger

Whether this component is processed. Returned as 1 (yes) or 0 (no).

referencestring

The location reference of this component, for example the name of the plot.

start_datestring

The sale date, or the start date and time of the rental period.

subcontractor_idinteger

The ID of the subcontractor (uitvoerder) of this component.

suborder_idinteger

The ID of the suborder (subproject) this component belongs to.

supplier_idinteger

The ID of the client (klant) that supplies the item.

supply_hauling_away_itemsobject[]

The supply and hauling away moments of this rental.

typestringverplicht

Whether the item is sold or rented, either 'sale' or 'rent'.

updated_atstring

The date and time this component was last updated.

user_idinteger

The ID of the user who created this component, either a user or an administrator depending on user_type.

user_typestring

The type of the user who created this component, either 'user' (buitendienst medewerker) or 'backend_user' (administrator).

Antwoord

application/json

Successful operation.

dataobject

The result message and the result data.

statusstring

The result status, success.